Loading...
Searching...
No Matches
dependency.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Provides classes for initializing the link attributes of a matrix graph. More...

`#include <bitset>`
`#include <ostream>`
`#include "graph.hh"`
`#include "properties.hh"`
`#include <dune/common/propertymap.hh>`

Go to the source code of this file.

## Classes

class | Dune::Amg::EdgeProperties
| Class representing the properties of an edge in the matrix graph. More...
class | Dune::Amg::VertexProperties
| Class representing a node in the matrix graph. More...
class | Dune::Amg::PropertyGraphVertexPropertyMap< G, i >
struct | Dune::PropertyMapTypeSelector< Amg::VertexVisitedTag, Amg::PropertiesGraph< G, Amg::VertexProperties, EP, VM, EM > >

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Functions

template<typename G, typename EP, typename VM, typename EM>
PropertyMapTypeSelector< Amg::VertexVisitedTag, Amg::PropertiesGraph< G, Amg::VertexProperties, EP, VM, EM > >::Type | Dune::get (const Amg::VertexVisitedTag &tag, Amg::PropertiesGraph< G, Amg::VertexProperties, EP, VM, EM > &graph)
std::ostream & | Dune::Amg::operator<< (std::ostream &os, const EdgeProperties &props)
std::ostream & | Dune::Amg::operator<< (std::ostream &os, const VertexProperties &props)

## Detailed Description

Provides classes for initializing the link attributes of a matrix graph.

Author
  Markus Blatt